Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# aboutdialog.hh File Reference

A GtkAboutDialog C++ wrapper interface. More...

`#include <xfc/gtk/dialog.hh>`
`#include <gtk/gtkaboutdialog.h>`
`#include <xfc/gtk/inline/aboutdialog.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::AboutDialog
    A GtkAboutDialog C++ wrapper class. More...

## About dialog methods

- void show_about_dialog (Window &window, Gdk::Pixbuf &logo, const String &name, const String &version, const String &copyright, const String &website=0, const String &comments=0, const std::vector< String > *authors=0, const std::vector< String > *documenters=0, const String &license=0,)
    This is a convenience function for showing an application's about box.

## Detailed Description

A GtkAboutDialog C++ wrapper interface.

Provides AboutDialog which displays information about an application.

## Function Documentation

void show_about_dialog | ( | Window & | window,
|  | Gdk::Pixbuf & | logo,
|  | const String & | name,
|  | const String & | version,
|  | const String & | copyright,
|  | const String & | website = `0`,
|  | const String & | comments = `0`,
|  | const std::vector< String > * | authors = `0`,
|  | const std::vector< String > * | documenters = `0`,
|  | const String & | license = `0`
| ) |

This is a convenience function for showing an application's about box.

Parameters:

  | window | The transient parent, or null for none.
  | logo | The pixbuf to display as the logo in the about dialog.
  | name | The program name.
  | version | The version string.
  | copyright | The copyright string.
  | website | A URL string starting with "http://", or null.
  | comments | The comments string, or null.
  | authors | A vector of String containing the authors.
  | documenters | A vector of String containing the documenters.
  | license | The license information, or null.

The constructed dialog is associated with the parent window and reused for future invocations of this function. If you require any more functionality than this you will need to create and manage your own AboutDialog.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3